libgphoto2 photo camera library (libgphoto2) API 2.4.11

- Main Page
- Related Pages
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
_CameraFileInfoFile Struct Reference

File information of a regular file. More...

`#include <gphoto2-filesys.h>`

## Data Fields

CameraFileInfoFields | fields
| Bitmask containing the set members.
CameraFileStatus | status
| Status of the file.
unsigned long | size
| Size of the file.
char | type [64]
| MIME type of the file.
unsigned int | width
| Height of the file.
unsigned int | height
| Width of the file.
char | name [64]
| Filename of the file.
CameraFilePermissions | permissions
| Permissions of the file.
time_t | mtime
| Modification time of the file.

## Detailed Description

File information of a regular file.

Contains information a regular file with fields being set depending on the bitmask in the fields member.

The documentation for this struct was generated from the following file:

- gphoto2/gphoto2-filesys.h